#include "MilestoneTrackerWidget.h"
#include "MilestoneTrackerEventBasedSkinViewData.h"
#include "MilestoneTrackerViewData.h"

class UCoreButtonWidget;

void UMilestoneTrackerWidget::SetVisuals(const FMilestoneTrackerEventBasedSkinViewData& viewData)
{

}

void UMilestoneTrackerWidget::SetData(const FMilestoneTrackerViewData& viewData)
{

}

void UMilestoneTrackerWidget::SelectMilestoneTrackerItem(FName itemId)
{

}

void UMilestoneTrackerWidget::PlayMilestoneTrackerItemUnlockAnimation(const int32 index)
{

}

void UMilestoneTrackerWidget::OnRewardItemClicked(UCoreButtonWidget* buttonTarget)
{

}

void UMilestoneTrackerWidget::DeselectMilestoneRewards()
{

}

UMilestoneTrackerWidget::UMilestoneTrackerWidget()
{
	this->_milestoneTrackerTierItemClass = NULL;
	this->_maxTierItems = 5;
}
